Esc

↑↓ move↵ openIndex · Pagefind
REST reference · Project Management

Inspections

19 endpoints19 implementedAll modules →
  1. GET /rest/v1.0/projects/{project_id}/checklist/items/{item_id}/item_responseShow Checklist Item Response
  2. POST /rest/v1.0/projects/{project_id}/checklist/items/{item_id}/item_responseCreate Checklist Item Response
  3. DELETE /rest/v1.0/projects/{project_id}/checklist/items/{item_id}/item_responseDelete Checklist Item Response
  4. POST /rest/v1.0/projects/{project_id}/checklist/items/{item_id}/observationCreate Observation From Item
  5. GET /rest/v1.0/projects/{project_id}/checklist/list_itemsList Checklist (Inspections) Items
  6. GET /rest/v1.0/projects/{project_id}/checklist/list_templatesList Project Checklist Templates
  7. POST /rest/v1.0/projects/{project_id}/checklist/list_templatesCreate Project Checklist Template
  8. GET /rest/v1.0/projects/{project_id}/checklist/list_templates/{id}Show Project Checklist Template
  9. PATCH /rest/v1.0/projects/{project_id}/checklist/list_templates/{id}Update Project Checklist Template
  10. DELETE /rest/v1.0/projects/{project_id}/checklist/list_templates/{id}Delete Project Checklist Template
  11. GET /rest/v1.0/projects/{project_id}/checklist/listsList Checklists (Inspections)
  12. POST /rest/v1.0/projects/{project_id}/checklist/listsCreate Checklist (Inspection)
  13. GET /rest/v1.0/projects/{project_id}/checklist/lists/{id}Show Checklist (Inspection)
  14. PATCH /rest/v1.0/projects/{project_id}/checklist/lists/{id}Update Checklist (Inspection)
  15. DELETE /rest/v1.0/projects/{project_id}/checklist/lists/{id}Delete Checklist (Inspection)
  16. POST /rest/v1.0/projects/{project_id}/checklist/lists/{id}/completeComplete Inspection
  17. POST /rest/v1.0/projects/{project_id}/checklist/lists/{id}/generate_nextGenerate Next Occurrence
  18. GET /rest/v1.0/projects/{project_id}/checklist/lists/{id}/signaturesList Checklist Signatures
  19. POST /rest/v1.0/projects/{project_id}/checklist/lists/{id}/signaturesCreate Checklist Signature
GET /rest/v1.0/projects/{project_id}/checklist/items/{item_id}/item_response

Show Checklist Item Response

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • item_id
    integerpathrequired
  • project_id
    integerpathrequired

Response · 200 · object

  • item_id
    integer
  • status
    string
  • responded_at
    string (date-time)
  • responder
    object
  • item_type
    object
  • payload
    object
POST /rest/v1.0/projects/{project_id}/checklist/items/{item_id}/item_response

Create Checklist Item Response

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • item_id
    integerpathrequired
  • project_id
    integerpathrequired

Request body

  • item_response
    objectrequired

Response · 201 · object

  • item_id
    integer
  • status
    string
  • responded_at
    string (date-time)
  • responder
    object
  • item_type
    object
  • payload
    object
DELETE /rest/v1.0/projects/{project_id}/checklist/items/{item_id}/item_response

Delete Checklist Item Response

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • item_id
    integerpathrequired
  • project_id
    integerpathrequired

Response · 204

No response body.

POST /rest/v1.0/projects/{project_id}/checklist/items/{item_id}/observation

Create Observation From Item

v1.0Implemented

Parameters

  • project_id
    stringpathrequired
  • item_id
    stringpathrequired

Response · 201 · object

  • item_id
    integerrequired
  • observation_id
    integerrequired
  • message
    string
GET /rest/v1.0/projects/{project_id}/checklist/list_items

List Checklist (Inspections) Items

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerpathrequired
  • page
    integerquery
  • per_page
    integerquery
  • filters[id]
    integer[]query
  • filters[updated_at]
    string (date)query
  • filters[section_id]
    integer[]query
  • filters[list_id]
    integer[]query
  • filters[item_response_status]
    stringquery
  • sort
    stringquery

Response · 200 · object[]

  • id
    integer
  • details
    string
  • item_response
    object
  • list_id
    integer
  • name
    string
  • position
    integer
  • responded_with
    string
  • response
    object
  • response_set
    object
  • response_type_id
    integer
  • section_id
    integer
  • status
    string
  • template_item_id
    integer
  • type
    object
  • updated_at
    string (date-time)
GET /rest/v1.0/projects/{project_id}/checklist/list_templates

List Project Checklist Templates

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerpathrequired
  • page
    integerquery
  • per_page
    integerquery
  • filters[inspection_type_id]
    integer[]query
  • filters[response_set_id]
    integer[]query
  • filters[trade_ids]
    integer[]query
  • filters[query]
    stringquery
  • sort
    stringquery

Response · 200 · object[]

  • id
    integer
  • name
    string
  • company_description
    string
  • parent_inspection_item_id
    integer
  • number
    string
  • relative_position
    integer
  • display_conditions
    object[]
  • inspection_type
    object
  • trade
    object
  • synced_to
    object
  • created_at
    string (date-time)
  • updated_at
    string (date-time)
POST /rest/v1.0/projects/{project_id}/checklist/list_templates

Create Project Checklist Template

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerpathrequired

Request body

  • list_template
    objectrequired
  • attachments
    string (binary)[]

Response · 201 · object

  • id
    integer
  • name
    string
  • company_description
    string
  • parent_inspection_item_id
    integer
  • number
    string
  • relative_position
    integer
  • display_conditions
    object[]
  • inspection_type
    object
  • trade
    object
  • synced_to
    object
  • created_at
    string (date-time)
  • updated_at
    string (date-time)
  • alternative_response_set_id
    integer
  • created_by
    object
  • attachments
    object[]
  • response_set
    object
  • sections
    object[]
  • company_attachments
    object[]
GET /rest/v1.0/projects/{project_id}/checklist/list_templates/{id}

Show Project Checklist Template

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • id
    integerpathrequired
  • project_id
    integerpathrequired

Response · 200 · object

  • id
    integer
  • name
    string
  • company_description
    string
  • parent_inspection_item_id
    integer
  • number
    string
  • relative_position
    integer
  • display_conditions
    object[]
  • inspection_type
    object
  • trade
    object
  • synced_to
    object
  • created_at
    string (date-time)
  • updated_at
    string (date-time)
  • alternative_response_set_id
    integer
  • created_by
    object
  • attachments
    object[]
  • response_set
    object
  • sections
    object[]
  • company_attachments
    object[]
PATCH /rest/v1.0/projects/{project_id}/checklist/list_templates/{id}

Update Project Checklist Template

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • id
    integerpathrequired
  • project_id
    integerpathrequired

Request body

  • list_template
    objectrequired
  • attachments
    string (binary)[]

Response · 200 · object

  • id
    integer
  • name
    string
  • company_description
    string
  • parent_inspection_item_id
    integer
  • number
    string
  • relative_position
    integer
  • display_conditions
    object[]
  • inspection_type
    object
  • trade
    object
  • synced_to
    object
  • created_at
    string (date-time)
  • updated_at
    string (date-time)
  • alternative_response_set_id
    integer
  • created_by
    object
  • attachments
    object[]
  • response_set
    object
  • sections
    object[]
  • company_attachments
    object[]
DELETE /rest/v1.0/projects/{project_id}/checklist/list_templates/{id}

Delete Project Checklist Template

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • id
    integerpathrequired
  • project_id
    integerpathrequired

Response · 204

No response body.

GET /rest/v1.0/projects/{project_id}/checklist/lists

List Checklists (Inspections)

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerpathrequired
  • page
    integerquery
  • per_page
    integerquery
  • filters[id]
    integer[]query
  • filters[inspection_date]
    string (date)query
  • filters[inspection_type_id]
    integer[]query
  • filters[inspector_id]
    integer[]query
  • filters[template_id]
    string[]query
  • filters[location_id]
    integer[]query
  • filters[managed_equipment_id]
    integerquery
  • filters[point_of_contact_id]
    integer[]query
  • filters[spec_section_id]
    integer[]query
  • filters[responsible_contractor_id]
    integer[]query
  • filters[closed_by_id]
    integer[]query
  • filters[created_by_id]
    integer[]query
  • filters[status]
    integerquery
  • filters[trade_id]
    integerquery
  • filters[query]
    stringquery
  • filters[due_at]
    string (date-time)query
  • filters[created_at]
    string (date)query
  • filters[updated_at]
    string (date)query
  • filters[closed_at]
    string (date)query
  • sort
    stringquery

Response · 200 · object[]

  • id
    integer
  • name
    string
  • list_template_id
    integer
  • list_template_name
    string
  • number
    integer
  • identifier
    string
  • status
    string
  • location
    object
  • created_at
    string (date-time)
  • updated_at
    string (date-time)
  • closed_at
    string (date-time)
  • drawing_ids
    integer[]
  • current_drawing_revision_ids
    integer[]
  • default_response_phrasing
    object
  • deleted
    boolean
  • due_at
    string (date-time)
  • inspection_date
    string (date)
  • inspection_type
    object
  • private
    boolean
  • created_by
    object
  • closed_by
    object
  • responsible_contractor
    object
  • point_of_contact
    object
  • trade
    object
  • inspectors
    object[]
  • distribution_members
    object[]
  • signature_requests
    object[]
  • managed_equipment_id
    integer
  • equipment_id
    string
  • equipment
    object
  • asset_ids
    string[]
  • specification_section
    object
  • attachments
    object[]
  • conforming_item_count
    integer
  • deficient_item_count
    integer
  • not_applicable_item_count
    integer
  • neutral_item_count
    integer
  • amber_item_count
    integer
  • inspected_item_count
    integer
  • observations_count
    integer
  • closed_observations_count
    integer
  • item_count
    integer
  • respondable_item_count
    integer
  • custom_fields
    object
  • template_id
    integer
  • overdue
    boolean
  • reinspected_from_id
    integer
  • reinspected_by_id
    integer
  • schedule
    object
POST /rest/v1.0/projects/{project_id}/checklist/lists

Create Checklist (Inspection)

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerpathrequired
  • run_configurable_validations
    booleanquery

Request body

  • list_template_id
    integer (int64)required
  • list
    objectrequired

Response · 201 · object

  • id
    integer
  • name
    string
  • list_template_id
    integer
  • list_template_name
    string
  • number
    integer
  • identifier
    string
  • status
    string
  • location
    object
  • created_at
    string (date-time)
  • updated_at
    string (date-time)
  • closed_at
    string (date-time)
  • drawing_ids
    integer[]
  • current_drawing_revision_ids
    integer[]
  • default_response_phrasing
    object
  • deleted
    boolean
  • due_at
    string (date-time)
  • inspection_date
    string (date)
  • inspection_type
    object
  • private
    boolean
  • created_by
    object
  • closed_by
    object
  • responsible_contractor
    object
  • point_of_contact
    object
  • trade
    object
  • inspectors
    object[]
  • distribution_members
    object[]
  • signature_requests
    object[]
  • managed_equipment_id
    integer
  • equipment_id
    string
  • equipment
    object
  • asset_ids
    string[]
  • specification_section
    object
  • attachments
    object[]
  • conforming_item_count
    integer
  • deficient_item_count
    integer
  • not_applicable_item_count
    integer
  • neutral_item_count
    integer
  • amber_item_count
    integer
  • inspected_item_count
    integer
  • observations_count
    integer
  • closed_observations_count
    integer
  • item_count
    integer
  • respondable_item_count
    integer
  • custom_fields
    object
  • template_id
    integer
  • overdue
    boolean
  • reinspected_from_id
    integer
  • reinspected_by_id
    integer
  • schedule
    object
GET /rest/v1.0/projects/{project_id}/checklist/lists/{id}

Show Checklist (Inspection)

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • id
    integerpathrequired
  • project_id
    integerpathrequired

Response · 200 · object

  • id
    integer
  • name
    string
  • list_template_id
    integer
  • list_template_name
    string
  • number
    integer
  • identifier
    string
  • status
    string
  • location
    object
  • created_at
    string (date-time)
  • updated_at
    string (date-time)
  • closed_at
    string (date-time)
  • drawing_ids
    integer[]
  • current_drawing_revision_ids
    integer[]
  • default_response_phrasing
    object
  • deleted
    boolean
  • due_at
    string (date-time)
  • inspection_date
    string (date)
  • inspection_type
    object
  • private
    boolean
  • created_by
    object
  • closed_by
    object
  • responsible_contractor
    object
  • point_of_contact
    object
  • trade
    object
  • inspectors
    object[]
  • distribution_members
    object[]
  • signature_requests
    object[]
  • managed_equipment_id
    integer
  • equipment_id
    string
  • equipment
    object
  • asset_ids
    string[]
  • specification_section
    object
  • attachments
    object[]
  • conforming_item_count
    integer
  • deficient_item_count
    integer
  • not_applicable_item_count
    integer
  • neutral_item_count
    integer
  • amber_item_count
    integer
  • inspected_item_count
    integer
  • observations_count
    integer
  • closed_observations_count
    integer
  • item_count
    integer
  • respondable_item_count
    integer
  • custom_fields
    object
  • template_id
    integer
  • overdue
    boolean
  • reinspected_from_id
    integer
  • reinspected_by_id
    integer
  • schedule
    object
PATCH /rest/v1.0/projects/{project_id}/checklist/lists/{id}

Update Checklist (Inspection)

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • id
    integerpathrequired
  • project_id
    integerpathrequired
  • run_configurable_validations
    booleanquery

Request body

  • list
    objectrequired

Response · 200 · object

  • id
    integer
  • name
    string
  • list_template_id
    integer
  • list_template_name
    string
  • number
    integer
  • identifier
    string
  • status
    string
  • location
    object
  • created_at
    string (date-time)
  • updated_at
    string (date-time)
  • closed_at
    string (date-time)
  • drawing_ids
    integer[]
  • current_drawing_revision_ids
    integer[]
  • default_response_phrasing
    object
  • deleted
    boolean
  • due_at
    string (date-time)
  • inspection_date
    string (date)
  • inspection_type
    object
  • private
    boolean
  • created_by
    object
  • closed_by
    object
  • responsible_contractor
    object
  • point_of_contact
    object
  • trade
    object
  • inspectors
    object[]
  • distribution_members
    object[]
  • signature_requests
    object[]
  • managed_equipment_id
    integer
  • equipment_id
    string
  • equipment
    object
  • asset_ids
    string[]
  • specification_section
    object
  • attachments
    object[]
  • conforming_item_count
    integer
  • deficient_item_count
    integer
  • not_applicable_item_count
    integer
  • neutral_item_count
    integer
  • amber_item_count
    integer
  • inspected_item_count
    integer
  • observations_count
    integer
  • closed_observations_count
    integer
  • item_count
    integer
  • respondable_item_count
    integer
  • custom_fields
    object
  • template_id
    integer
  • overdue
    boolean
  • reinspected_from_id
    integer
  • reinspected_by_id
    integer
  • schedule
    object
DELETE /rest/v1.0/projects/{project_id}/checklist/lists/{id}

Delete Checklist (Inspection)

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • id
    integerpathrequired
  • project_id
    integerpathrequired

Response · 204

No response body.

POST /rest/v1.0/projects/{project_id}/checklist/lists/{id}/complete

Complete Inspection

v1.0Implemented

Parameters

  • project_id
    stringpathrequired
  • id
    stringpathrequired

Response · 200 · object

  • id
    integer
  • name
    string
  • list_template_id
    integer
  • list_template_name
    string
  • number
    integer
  • identifier
    string
  • status
    string
  • location
    object
  • created_at
    string (date-time)
  • updated_at
    string (date-time)
  • closed_at
    string (date-time)
  • drawing_ids
    integer[]
  • current_drawing_revision_ids
    integer[]
  • default_response_phrasing
    object
  • deleted
    boolean
  • due_at
    string (date-time)
  • inspection_date
    string (date)
  • inspection_type
    object
  • private
    boolean
  • created_by
    object
  • closed_by
    object
  • responsible_contractor
    object
  • point_of_contact
    object
  • trade
    object
  • inspectors
    object[]
  • distribution_members
    object[]
  • signature_requests
    object[]
  • managed_equipment_id
    integer
  • equipment_id
    string
  • equipment
    object
  • asset_ids
    string[]
  • specification_section
    object
  • attachments
    object[]
  • conforming_item_count
    integer
  • deficient_item_count
    integer
  • not_applicable_item_count
    integer
  • neutral_item_count
    integer
  • amber_item_count
    integer
  • inspected_item_count
    integer
  • observations_count
    integer
  • closed_observations_count
    integer
  • item_count
    integer
  • respondable_item_count
    integer
  • custom_fields
    object
  • template_id
    integer
  • overdue
    boolean
  • reinspected_from_id
    integer
  • reinspected_by_id
    integer
  • schedule
    object
POST /rest/v1.0/projects/{project_id}/checklist/lists/{id}/generate_next

Generate Next Occurrence

v1.0Implemented

Parameters

  • project_id
    stringpathrequired
  • id
    stringpathrequired

Response · 200 · object

  • generated
    boolean
  • reason
    string
GET /rest/v1.0/projects/{project_id}/checklist/lists/{id}/signatures

List Checklist Signatures

v1.0Implemented

Parameters

  • project_id
    stringpathrequired
  • id
    stringpathrequired

Response · 200 · object[]

  • id
    integerrequired
  • list_id
    integerrequired
  • role
    string
  • statement
    string
  • signature_data
    string
  • signed_at
    string (date-time)required
  • created_at
    string (date-time)
  • updated_at
    string (date-time)
  • signer
    object
  • signatory
    object
POST /rest/v1.0/projects/{project_id}/checklist/lists/{id}/signatures

Create Checklist Signature

v1.0Implemented

Parameters

  • project_id
    stringpathrequired
  • id
    stringpathrequired

Response · 201 · object

  • id
    integerrequired
  • list_id
    integerrequired
  • role
    string
  • statement
    string
  • signature_data
    string
  • signed_at
    string (date-time)required
  • created_at
    string (date-time)
  • updated_at
    string (date-time)
  • signer
    object
  • signatory
    object

Ask the OS

Reading this page

Ask anything about this page. Answers use what you're reading as context.

Suggested

    AI · may be imperfect · sample data where shown

    Open file